%{?nodejs_find_provides_and_requires}
Name:                nodejs-asap
Version:             2.0.6
Release:             1
Summary:             High-priority task queue for Node.js and browser
License:             MIT
URL:                 https://github.com/kriskowal/asap
Source0:             https://github.com/kriskowal/asap/archive/v%{version}/asap-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%setup -q -n asap-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/asap
cp -pr package.json asap.js raw.js \
    %{buildroot}%{nodejs_sitelib}/asap
%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check
%__nodejs test/asap-test.js

%files
%doc README.md CHANGES.md CONTRIBUTING.md
%license LICENSE.md
%{nodejs_sitelib}/asap

%changelog
* Wed Nov 01 2023 wulei <wu_lei@hoperun.com> - 2.0.6-1
- Update to 2.0.6

* Sat Aug 8 2020 wutao <wutao61@huawei.com> - 2.0.3-1
- package init
